Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.util
Class FormatTool

    java.lang.Object
      |
      +--com.infodesire.infobit.util.FormatTool

public class FormatTool
extends java.lang.Object

tool to perform formatting of various data

Version:
  $Revision: 1.2 $
Author:
  konstantin

Constructor Summary
`FormatTool()` Constructor for the FormatTool object

Method Summary
`java.lang.String` | `mediumDate(long date)` format long milliseconds as medium date
`java.lang.String` | `mediumDate(java.lang.String date)` format date string coming out of attribute to date
`java.lang.String` | `percent(double value)` format double as percent.
`java.lang.String` | `percent(float value)` format float as percent value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatTool

    public FormatTool()

  Constructor for the FormatTool object

Method Detail

### mediumDate

    public java.lang.String mediumDate(long date)

  format long milliseconds as medium date

  Parameters:
    `date` - Description of Parameter
  Returns:
    Description of the Returned Value

### mediumDate

    public java.lang.String mediumDate(java.lang.String date)

  format date string coming out of attribute to date

  Parameters:
    `date` - Description of Parameter
  Returns:
    Description of the Returned Value

### percent

    public java.lang.String percent(float value)

  format float as percent value

  Parameters:
    `value` - Description of Parameter
  Returns:
    Description of the Returned Value

### percent

    public java.lang.String percent(double value)

  format double as percent.

  Parameters:
    `value` - Description of Parameter
  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.